#ifndef __TIMER_H__
#define __TIMER_H__

#include <p24FJ128GA006.h>
#include "types.h"

#define MAX_TIMER1_CNT	0	// MAX Timer0 Handler Count
#define MAX_TIMER2_CNT	1	// MAX Timer2 Handler Count
#define MAX_TIMER_CNT	(MAX_TIMER1_CNT+MAX_TIMER2_CNT)	// Max Timer Handler

#define DHCP_CHECK_TIMER2	0

/* Timer handler */
typedef struct _TIMER_IRQ
{
	void (*user_timer_handler)(void);
}TIMER_IRQ;

void init_timer(void);

void set_timer(u_int timer, void (*handler)(void));

void kill_timer(u_int timer);

//void timer1_irq(void);
void _ISR _T1Interrupt(void);

//void timer2_irq(void);
void _ISR _T2Interrupt(void);

#endif
